public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/black/
Date: Fri, 13 Mar 2020 12:06:24 +0000 (UTC)	[thread overview]
Message-ID: <1584101173.2f151dc5b32040707c6519e1a3d407d49b02ae5b.andrewammerlaan@gentoo> (raw)

commit:     2f151dc5b32040707c6519e1a3d407d49b02ae5b
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Mar 13 12:06:13 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Mar 13 12:06:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2f151dc5

dev-python/black: EAPI bump

tried to fix test but still not quite working
tried to add docs but fails to build for some reason

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/black/black-19.10_beta0.ebuild | 28 ++++++++++++++++++++--------
 1 file changed, 20 insertions(+), 8 deletions(-)

diff --git a/dev-python/black/black-19.10_beta0.ebuild b/dev-python/black/black-19.10_beta0.ebuild
index e441029..f62bc49 100644
--- a/dev-python/black/black-19.10_beta0.ebuild
+++ b/dev-python/black/black-19.10_beta0.ebuild
@@ -1,13 +1,16 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 PYTHON_COMPAT=( python3_{6,7,8} )
 
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
 inherit distutils-r1
 
 MY_PV="19.10b0"
+
 DESCRIPTION="The uncompromising Python code formatter"
 HOMEPAGE="https://github.com/psf/black https://pypi.org/project/black/"
 SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz"
@@ -15,7 +18,9 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz"
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="test"
+
+# tests fail: name 'AioHTTPTestCase' is not defined
+RESTRICT="test"
 
 RDEPEND="
 	>=dev-python/appdirs-1.4[${PYTHON_USEDEP}]
@@ -29,12 +34,19 @@ RDEPEND="
 	>=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
 	$(python_gen_cond_dep 'dev-python/dataclasses[${PYTHON_USEDEP}]' python3_6)
 "
-DEPEND="${RDEPEND}
-	dev-python/setuptools[${PYTHON_USEDEP}]
-"
 
 S="${WORKDIR}/${PN}-${MY_PV}"
 
-python_test() {
-	python -m unittest tests/test_black.py || die "Tests fail with ${EPYTHON}"
-}
\ No newline at end of file
+python_prepare_all() {
+	# cannot get_version() for some reason so we set it here manually
+	sed -i -e "s/get_version(root=CURRENT_DIR.parent)/${MY_PV::-2}/g" \
+		-e '/for sp in "abcfr":/d' \
+		-e '/version.split(sp)/d' \
+		docs/conf.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+distutils_enable_tests pytest
+# docs fail to build:: module 'black' has no attribute 'is_python36'
+#distutils_enable_sphinx docs dev-python/recommonmark


WARNING: multiple messages have this Message-ID (diff)
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-python/black/
Date: Fri, 13 Mar 2020 17:45:50 +0000 (UTC)	[thread overview]
Message-ID: <1584101173.2f151dc5b32040707c6519e1a3d407d49b02ae5b.andrewammerlaan@gentoo> (raw)
Message-ID: <20200313174550.PUTwk4GCpG7ayPvFdg4aJgrEZEghJx8kVPmJZ9PEMEo@z> (raw)

commit:     2f151dc5b32040707c6519e1a3d407d49b02ae5b
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Mar 13 12:06:13 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Mar 13 12:06:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2f151dc5

dev-python/black: EAPI bump

tried to fix test but still not quite working
tried to add docs but fails to build for some reason

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/black/black-19.10_beta0.ebuild | 28 ++++++++++++++++++++--------
 1 file changed, 20 insertions(+), 8 deletions(-)

diff --git a/dev-python/black/black-19.10_beta0.ebuild b/dev-python/black/black-19.10_beta0.ebuild
index e441029..f62bc49 100644
--- a/dev-python/black/black-19.10_beta0.ebuild
+++ b/dev-python/black/black-19.10_beta0.ebuild
@@ -1,13 +1,16 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 PYTHON_COMPAT=( python3_{6,7,8} )
 
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
 inherit distutils-r1
 
 MY_PV="19.10b0"
+
 DESCRIPTION="The uncompromising Python code formatter"
 HOMEPAGE="https://github.com/psf/black https://pypi.org/project/black/"
 SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz"
@@ -15,7 +18,9 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz"
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="test"
+
+# tests fail: name 'AioHTTPTestCase' is not defined
+RESTRICT="test"
 
 RDEPEND="
 	>=dev-python/appdirs-1.4[${PYTHON_USEDEP}]
@@ -29,12 +34,19 @@ RDEPEND="
 	>=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
 	$(python_gen_cond_dep 'dev-python/dataclasses[${PYTHON_USEDEP}]' python3_6)
 "
-DEPEND="${RDEPEND}
-	dev-python/setuptools[${PYTHON_USEDEP}]
-"
 
 S="${WORKDIR}/${PN}-${MY_PV}"
 
-python_test() {
-	python -m unittest tests/test_black.py || die "Tests fail with ${EPYTHON}"
-}
\ No newline at end of file
+python_prepare_all() {
+	# cannot get_version() for some reason so we set it here manually
+	sed -i -e "s/get_version(root=CURRENT_DIR.parent)/${MY_PV::-2}/g" \
+		-e '/for sp in "abcfr":/d' \
+		-e '/version.split(sp)/d' \
+		docs/conf.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+distutils_enable_tests pytest
+# docs fail to build:: module 'black' has no attribute 'is_python36'
+#distutils_enable_sphinx docs dev-python/recommonmark


             reply	other threads:[~2020-03-13 12:06 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-13 12:06 Andrew Ammerlaan [this message]
2020-03-13 17:45 ` [gentoo-commits] repo/proj/guru:master commit in: dev-python/black/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2020-06-04 12:57 [gentoo-commits] repo/proj/guru:dev " Michael Egger
2020-05-18 15:41 Alessandro Barbieri
2020-04-26 22:39 Alessandro Barbieri
2020-04-25 12:53 Alessandro Barbieri
2020-04-25  0:37 Alessandro Barbieri
2020-04-07  1:22 Alessandro Barbieri
2020-03-27 12:25 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-03-27 12:25 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-18 19:13 Andrew Ammerlaan
2020-03-15 13:14 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-03-15 13:14 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-15 12:52 Michael Egger
2020-03-12 22:06 Michael Egger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1584101173.2f151dc5b32040707c6519e1a3d407d49b02ae5b.andrewammerlaan@gentoo \
    --to=andrewammerlaan@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox